light-mode-image
Learn
API ReferenceCWT credential configuration

Update a CWT credential configuration

Roles

adminissuer

Analytics Events

CREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_UPDATE_STARTCREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_UPDATE_SUCCESSCREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_UPDATE_FAIL
PUT/v2/credentials/compact/configurations/{id}

Updates an existing CWT credential configuration by providing its ID.

Analytic events

  • CREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_UPDATE_START
  • CREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_UPDATE_SUCCESS
  • CREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_UPDATE_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Unique identifier for the CWT credential configuration.

Formatuuid

Request Body

application/json

Update a CWT credential configuration

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v2/credentials/compact/configurations/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "claimMappings": {      "property1": {},      "property2": {}    }  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "type": "string",  "claimMappings": {    "property1": {      "mapFrom": "string",      "required": true,      "defaultValue": "string"    },    "property2": {      "mapFrom": "string",      "required": true,      "defaultValue": "string"    }  },  "revocable": true,  "claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60",  "expiresIn": {    "years": 0,    "months": 0,    "weeks": 0,    "days": 0,    "hours": 0,    "minutes": 0,    "seconds": 0  }}

How would you rate this page?